Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### PFont

Examples

    PFont font;
    // The font must be located in the sketch's
    // "data" directory to load successfully
    font = loadFont("FFScala-32.vlw");
    textFont(font, 32);
    text("word", 15, 50);

Description

PFont is the font class for Processing. To create a font to use with Processing, select "Create Font..." from the Tools menu. This will create a font in the format Processing requires and also adds it to the current sketch's data directory. Processing displays fonts using the .vlw font format, which uses images for each letter, rather than defining them through vector data. The loadFont() function constructs a new font and textFont() makes a font active. The list() method creates a list of the fonts installed on the computer, which is useful information to use with the createFont() function for dynamically converting fonts into a format to use with Processing.

Methods

list() | Gets a list of the fonts installed on the system.

Constructor

    PFont()
    PFont(input)

Parameters

input | InputStream

Usage | Web & Application
Related | loadFont() textFont() text()

Updated on November 22, 2008 08:39:25pm PST